# gsgd

Script for automatically updating your static git website generated with gsg.
See: https://spwbk.site/git/projects/git-site-gen.git/index.html

Disclaimer: This script is pretty awful, and is possibly even an example of
"worst practices".

## Usage

gsgd uses the contents of the file talk.gsgd to trigger events.
You can use server side git hooks such as ``post-receive` to trigger gsgd.


A `post-receive` script example:
```
#!/bin/bash
echo -ne "Regen\n" >> /some/path/to/talk.gsgd
```

You can create these server side in your project dirs, see the Server-Side Hooks section here: 
https://git-scm.com/book/en/v2/Customizing-Git-Git-Hooks

You can also just call gsg directly from from your `post-receive`, but the client side will hang until gsg completes.

## Backgrounding
You can run `gsgd` in the background via `./gsgd &` and `disown %1`, use tmux/screen, etc.
